Firmware 1.1.2

Discussion in 'iPod touch' started by extricate, Jun 8, 2008.

  1. extricate

    extricate New Member

    Joined:
    Dec 15, 2007
    Messages:
    12
    Likes Received:
    0
    Hi,

    I have JB my itouch for a few months now and still on firmware 1.1.2. I wanted to go into Installer and download the .pdf viewer but it says the package failed to download. What could be the problem? Not only i can't download .pdf viewer but other programs as well. I cannot even update my Installer to a recent version. I am currrenlty on Installer v3.0

    Pls advise.

    Thanks!
  2. extricate

    extricate New Member

    Joined:
    Dec 15, 2007
    Messages:
    12
    Likes Received:
    0
  3. Gitykins

    Gitykins Banned

    Joined:
    May 16, 2008
    Messages:
    3,760
    Likes Received:
    1
    Try updating to v3.11 of Installer lol.

Share This Page